<?
	session_start();
	// Initializing Engine Classes
	include_once 'engine/database.php';
	$database = new Database();
	include_once 'engine/strings.php';
	$strings = new Strings();
	include_once 'engine/project.php';
	$project = new Project($database);
	include_once 'engine/formrecord.php';
	$formrecord = new Formrecord($database);

	$arrFormRecord = $formrecord->selectFormRecords(0, 0, 0, $_GET['idFormRecord']);
	$arrFormRecord = $arrFormRecord[0];

	$arrProject = $project->selectProjects($arrFormRecord['idProject']);
	$arrProject = $arrProject[0];

	// Loading strings according to selected language
	$_SESSION['strSiteLanguage'] = ($_GET['language'] ? $_GET['language'] : $arrProject['strLanguageCode']);
	$strings->loadLanguage($_SESSION['strSiteLanguage']);
	
	$arrFormRecordDatas = $formrecord->selectFormRecordData($_GET['idFormRecord']);
?>
<!DOCTYPE html>
<html lang="pt-BR">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="viewport" content="height=device-height,width=device-width,initial-scale=1,user-scalable=yes" />
<title><? echo $arrProject['strName'] . '  ' . $_SESSION['strGlobalRecord'] . ' ' . $_GET['idFormRecord']; ?></title>
    <link rel="shortcut icon" href="<? echo $arrProject['strLogoFileFullPath']; ?>">
    <link media="all" href="css/bootstrap.css" rel="stylesheet">
	<link media="all" href="css/bootstrap-<? echo $arrProject['strThemeName']; ?>.css" rel="stylesheet">
	<link media="all" href="css/bootstrap-responsive.css" rel="stylesheet">
	<link media="all" href="css/main.css" rel="stylesheet">
	<link media="all" href="css/charisma.css" rel="stylesheet">
    <script src="js/jquery-1.11.1.js"></script>
	<script src="js/jquery-ui.js"></script>
	<script src="js/bootstrap-button.js"></script>
	<script src="js/main.js"></script>
	<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=true"></script>
    <style>
		#idMap img {max-width: none;}
		.table td {padding:2px;}
		@media print {
			a[href]:after {content: none !important;}
			.dontprint{ display: none; }
		}
	</style>
</head>
<body style="padding:3px;margin:0px">
<? if (! count($arrFormRecord)) { ?>
	<? echo $_SESSION['strGlobalUnknownRecord']; ?>
<? } else if ((! $arrProject['blnAllowAllView']) && (! ($_SESSION['idUser'] > 0))) { ?>
	<? include 'login.inc'; ?>
<? } else { ?>
    <!-- Top Menu -->
    <div class="navbar dontprint" style="margin-bottom:40px;">
        <!--<div style="z-index:9999;width:100%;height:40px;position:fixed;top:0px;background-color:#<? echo $arrProject['strRGBColor']; ?>;border-bottom: 1px solid #FFFFFF;color:#FFFFFF;" class="hideSelection">-->        
        <div class="navbar-inner" style="z-index:9999;width:100%;height:40px;position:fixed;top:0px;min-height: 0px; height: 40px; -webkit-border-radius: 0px; padding: 0px; border: none;border-bottom: 1px solid #FFFFFF;" class="hideSelection">        
            <!-- Left Corner -->
            <span onClick="window.location='index.php?idProject=<? echo $arrFormRecord['idProject']; ?>'" style="cursor:pointer" data-rel="tooltip" title="<? echo $_SESSION["strMenuHome"]; ?>">
                <img src="<? echo $arrProject['strLogoFileFullPath']; ?>" style="width:36px;height:36px;margin-right:5px;">
                <span style="font-weight:bold;font-size:14px;word-break:break-all;line-height:35px;position:absolute;width:100%;overflow:hidden;height:25px">
                    <? echo str_ireplace('<br>', ' / ', $arrProject['strName']); ?>
                </span>
            </span>
        </div>
    </div>
    <!-- End Top Menu -->
    <table class="table table-striped table-bordered bootstrap-datatable datatable" width="100%">
    <tr><td id="idMap" style="width:auto;height:300px;padding:10px;"></td></tr>
	<?php
        if ($arrFormRecord['idShapeType'] == 1) {
            $strMaps = "
				var img = document.createElement('img');
				img.src = '" . $arrFormRecord['strMarkerFullPath'] . "';
				var blnSizeOK = ((img.width <= 20) && (img.height <= 20));
				var icon = new google.maps.MarkerImage('" . $arrFormRecord['strMarkerFullPath'] . "', null, null, null, (blnSizeOK ? null : new google.maps.Size(20, 20, 'px' , 'px')));
                var marker = new google.maps.Marker({icon:icon,	map: map, position: new google.maps.LatLng(" . $arrFormRecord['dblLatitude'] . ", " . $arrFormRecord['dblLongitude'] . ")});
            ";
        } else if ($arrFormRecord['idShapeType'] == 2) {
            $strMaps = "var path = new google.maps.MVCArray();";
            foreach($arrFormRecord['arrVertex'] as $arrVertex) {
                $strMaps .= "path.push(new google.maps.LatLng(" . $arrVertex['dblLatitude'] . ", " . $arrVertex['dblLongitude'] . "));";
            }
            $strMaps .=  "
                var pOptions = {strokeColor: '" . $arrFormRecord['strCustomMarkerRGBColor'] . "', strokeOpacity: 0.5, strokeWeight: 2, visible: true, map: map, path: path};
                var marker = new google.maps.Polyline(pOptions);
            ";
        } else if ($arrFormRecord['idShapeType'] == 3) {
            $strMaps = "var path = new google.maps.MVCArray();";
            foreach($arrFormRecord['arrVertex'] as $arrVertex) {
                $strMaps .= "path.push(new google.maps.LatLng(" . $arrVertex['dblLatitude'] . ", " . $arrVertex['dblLongitude'] . "));";
            }
            $strMaps .= "
            var pOptions = {fillColor: '" . $arrFormRecord['strCustomMarkerRGBColor'] . "', strokeColor: '" . $arrFormRecord['strCustomMarkerRGBColor'] . "', strokeOpacity: 0.5, strokeWeight: 2, visible: true, map: map, path: path};
            var marker = new google.maps.Polygon(pOptions);
            ";
        }
		$arrFormRecordData = $formrecord->arrPrintFormRecordData($arrFormRecord, 2);
		echo $arrFormRecordData['strInfo'];
	?>
	</table>
	<script>
        var ptOrigin = new google.maps.LatLng(<?php echo $arrFormRecord['dblLatitude']; ?>, <?php echo $arrFormRecord['dblLongitude']; ?>);
        var mapOptions = {center: ptOrigin, zoom: 15, mapTypeId: google.maps.MapTypeId.<? echo ($_COOKIE['strMapTypeId'] ? $_COOKIE['strMapTypeId'] : $strings->strGoogleMapsDefaultTypeMap); ?>};
        var map = new google.maps.Map(document.getElementById("idMap"), mapOptions);
        <? echo $strMaps; ?>
    </script>
    <div style="text-align:center;margin-top:10px;">
        <span class="btn btn-success dontprint" onClick="window.print();"/><i class="icon-print icon-white"></i> <? echo $_SESSION['strGlobalPrint']; ?></span>
    </div>
<? } ?>
</body>
</html>